#
# spec file for package python-ipaddr
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-ipaddr
Version:        2.2.0
Release:        1.23
Summary:        Google's IP address manipulation library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            http://code.google.com/p/ipaddr-py/
Source:         https://files.pythonhosted.org/packages/source/i/ipaddr/ipaddr-%{version}.tar.gz
BuildRequires:  %{python_module pkginfo}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Google's IP address manipulation library. An IPv4/IPv6 manipulation library
in Python. This library is used to create/poke/manipulate IPv4 and IPv6
addresses and prefixes.

%prep
%setup -q -n ipaddr-%{version}
sed -i "1d" ipaddr.py # Fix non-executable script

%build
%python_build

%install
%python_install

%check
%{python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python ipaddr_test.py}

%files %{python_files}
%license COPYING
%doc README
%{python_sitelib}/*

%changelog
* Mon Mar 25 2019 pgajdos@suse.com
- version update to 2.2.0
  * Fix compatibility with Python 3
    (despite ipaddress existence)
    https://github.com/google/ipaddr-py/pull/118
- deleted patches
  - use_2to3.patch (not needed)
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Aug 31 2017 toddrme2178@gmail.com
- Add use_2to3.patch
  * Allows setup.py to automatically convert code with 2to3 instead
    of having to do it manually.
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Wed Mar 25 2015 klaussfreire@gmail.com
  Update to upstream ipaddr 2.1.11
- hostmask parsing bug fixed by pmarks (a nearly complete rewrite of the mask parsing code)
- i97, incorrectly parses some v6 addresses.
- docstring typos.
- i95, refer to the nets in the exception raised by collapse_address_list
- add license to boilerplate to test-2to3.sh
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Sun Jan 22 2012 klaussfreire@gmail.com
  Update to upstream ipaddr 2.1.10
- i84, fix iterhosts for /31's or /127's
- private method arg cleanup.
- i83, docstring issue.
- i87, new ipv4/ipv6 parser. patch from pmarks
- i90, fix copyright.
- bytes fix. patch from pmarks.-
* Wed Nov 16 2011 klaussfreire@users.sourceforge.net
- Fix license file to have proper attribution
  (upstream issue 90)
* Thu Sep 22 2011 saschpe@suse.de
- Re-generated spec file with py2pack
- Run testsuite (using python-nose)
- Fix non-executable script rpmlint warning
* Fri Jul  8 2011 klaussfreire@users.sourceforge.net
- Initial package, upstream ipaddr 2.1.9
